org.hibernate.search.cfg

## Class IndexEmbeddedMapping

- java.lang.Object
- - org.hibernate.search.cfg.IndexEmbeddedMapping

-     public class IndexEmbeddedMapping
      extends Object

  Configures index-embedded association.
  Author:
    Emmanuel Bernard, Gunnar Morling
  See Also:
    `IndexedEmbedded`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexEmbeddedMapping(SearchMapping mapping, PropertyDescriptor property, EntityDescriptor entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `IndexEmbeddedMapping` | `depth(int depth)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FieldMapping` | `field()`
    `IndexEmbeddedMapping` | `includeEmbeddedObjectId(boolean includeEmbeddedObjectId)`
    `IndexEmbeddedMapping` | `includePaths(String firstPath, String... furtherPaths)`
    `IndexEmbeddedMapping` | `indexNullAs(String nullToken)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `IndexEmbeddedMapping` | `prefix(String prefix)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `IndexEmbeddedMapping` | `targetElement(Class<?> targetElement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexEmbeddedMapping

          public IndexEmbeddedMapping(SearchMapping mapping,
                                      PropertyDescriptor property,
                                      EntityDescriptor entity)

  - ### Method Detail

    - #### prefix

          public IndexEmbeddedMapping prefix(String prefix)

    - #### targetElement

          public IndexEmbeddedMapping targetElement(Class<?> targetElement)

    - #### depth

          public IndexEmbeddedMapping depth(int depth)

    - #### includeEmbeddedObjectId

          public IndexEmbeddedMapping includeEmbeddedObjectId(boolean includeEmbeddedObjectId)

    - #### indexNullAs

          public IndexEmbeddedMapping indexNullAs(String nullToken)

    - #### includePaths

          public IndexEmbeddedMapping includePaths(String firstPath,
                                                   String... furtherPaths)

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### field

          public FieldMapping field()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved